function display(elemvector)
%DISPLAY - displays the fields of an elemvector
%
%   echo function for 'elemvector' class

disp(sprintf('\n%s = \n',inputname(1)));

if ~isnan(elemvector.nrows),
	for i=1:elemvector.nrows,
		disp(sprintf('   row:%i\n', i));
		disp(sprintf('   local_row_index     global_row_index     value\n'));
		disp(sprintf('   %8i %16i %16g\n', i, elemvector.row_indices(i),elemvector.terms(i)));
	end
else
	disp('elemvector is empty');
end
